View Issue Details

IDProjectCategoryView StatusLast Update
0000043FreeCADBugpublic2009-12-14 08:35
ReporterwmayerAssigned ToJriegel 
PriorityhighSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS VersionVista
Product Version 
Target Version0.10Fixed in Version0.9 
Summary0000043: Crash with VC9 builds
DescriptionIt seems that the crashes are related to SoQt which is used in version 1.5.0 in the LibPack. There is a special thread class SoQtSignalThread which seems to cause the crashes.

Actually, there is no major reason not to use SoQt 1.4.1 which is heavily tested and doesn't seem to cause the crashes. There is only a minor issue when building the libs together with Coin 3.1: in the file SoQtComponent.cpp in line 103 the "unsigned long" must be replaced with "SbDictKeyType" -- that's all.

BTW, SoQt 1.5.0 is still not officially released which may be an indication that it's not considered as stable enough. The last official release is SoQt 1.4.1.
TagsNo tags attached.

Activities

Jriegel

2009-12-06 06:37

administrator   ~0000043

Very good tipp Werner, works now for me to.
Reverting LibPack to SoQt 1.4.1

Jriegel

2009-12-06 06:38

administrator   ~0000044

Revert LibPack Version of SoQt to 1.4.1

Issue History

Date Modified Username Field Change
2009-11-18 17:11 wmayer New Issue
2009-11-18 17:11 wmayer Status new => assigned
2009-11-18 17:11 wmayer Assigned To => Jriegel
2009-12-06 06:37 Jriegel Note Added: 0000043
2009-12-06 06:38 Jriegel Note Added: 0000044
2009-12-06 06:38 Jriegel Status assigned => resolved
2009-12-06 06:38 Jriegel Fixed in Version => 0.9
2009-12-06 06:38 Jriegel Resolution open => fixed
2009-12-14 08:35 wmayer Status resolved => closed